org.apache.hc.client5.http.protocol

## Class RequestDefaultHeaders

- java.lang.Object
- - org.apache.hc.client5.http.protocol.RequestDefaultHeaders

- All Implemented Interfaces:
    org.apache.hc.core5.http.HttpRequestInterceptor

      @Contract(threading=STATELESS)
      public class RequestDefaultHeaders
      extends Object
      implements org.apache.hc.core5.http.HttpRequestInterceptor

  Request interceptor that adds default request headers.
  Since:
    4.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RequestDefaultHeaders` | `INSTANCE` Default instance of `RequestDefaultHeaders`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestDefaultHeaders()`
    `RequestDefaultHeaders(Collection<? extends org.apache.hc.core5.http.Header> defaultHeaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `process(org.apache.hc.core5.http.HttpRequest request, org.apache.hc.core5.http.EntityDetails entity, org.apache.hc.core5.http.protocol.HttpContext context)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RequestDefaultHeaders INSTANCE

      Default instance of `RequestDefaultHeaders`.
      Since:
        5.2

  - ### Constructor Detail

    - #### RequestDefaultHeaders

          public RequestDefaultHeaders(Collection<? extends org.apache.hc.core5.http.Header> defaultHeaders)

      Since:
        4.3

    - #### RequestDefaultHeaders

          public RequestDefaultHeaders()

  - ### Method Detail

    - #### process

          public void process(org.apache.hc.core5.http.HttpRequest request,
                              org.apache.hc.core5.http.EntityDetails entity,
                              org.apache.hc.core5.http.protocol.HttpContext context)
                       throws org.apache.hc.core5.http.HttpException,
                              IOException

      Specified by:
        `process` in interface `org.apache.hc.core5.http.HttpRequestInterceptor`
      Throws:
        `org.apache.hc.core5.http.HttpException`
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.